Loading...
Searching...
No Matches
MultiViewWidget Class Reference

A widget that contains other views, taking on responsibility for defining the active view, the layout of the subviews and ownership of the widgets. More...

`#include <avogadro/qtgui/multiviewwidget.h>`

Inheritance diagram for MultiViewWidget:

## Public Slots

void | splitHorizontal ()
void | splitVertical ()
void | createView ()
void | removeView ()

## Signals

void | activeWidgetChanged (QWidget *widget)

## Public Member Functions

| MultiViewWidget (QWidget *parent=nullptr, Qt::WindowFlags f=Qt::WindowFlags())
void | addWidget (QWidget *widget)
QWidget * | activeWidget ()
| Get the currently active widget.
void | setActiveWidget (QWidget *widget)
void | setFactory (ViewFactory *factory)
void | setDefaultView (const QString &viewName)

## Detailed Description

Author
  Marcus D. Hanwell

## Member Function Documentation

## activeWidget()

QWidget * activeWidget | ( |  | ) |

Returns
  The active widget.

The documentation for this class was generated from the following file:

- multiviewwidget.h